package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Port info list
 */
@ApiModel(description = "Port info list")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class InternetBasicInfo   {
  @JsonProperty("portId")
  private String portId;

  @JsonProperty("portName")
  private String portName;

  @JsonProperty("portMode")
  private Integer portMode;

  @JsonProperty("portType")
  private Integer portType;

  public InternetBasicInfo portId(String portId) {
    this.portId = portId;
    return this;
  }

  /**
   * Port ID
   * @return portId
  */
  @ApiModelProperty(value = "Port ID")


  public String getPortId() {
    return portId;
  }

  public void setPortId(String portId) {
    this.portId = portId;
  }

  public InternetBasicInfo portName(String portName) {
    this.portName = portName;
    return this;
  }

  /**
   * Port name
   * @return portName
  */
  @ApiModelProperty(value = "Port name")


  public String getPortName() {
    return portName;
  }

  public void setPortName(String portName) {
    this.portName = portName;
  }

  public InternetBasicInfo portMode(Integer portMode) {
    this.portMode = portMode;
    return this;
  }

  /**
   * Port mode should be a value as follows: 0: WAN; 1: LAN.
   * @return portMode
  */
  @ApiModelProperty(value = "Port mode should be a value as follows: 0: WAN; 1: LAN.")


  public Integer getPortMode() {
    return portMode;
  }

  public void setPortMode(Integer portMode) {
    this.portMode = portMode;
  }

  public InternetBasicInfo portType(Integer portType) {
    this.portType = portType;
    return this;
  }

  /**
   * Port type should be a value as follows: 0: WAN; 1: WAN/LAN.
   * @return portType
  */
  @ApiModelProperty(value = "Port type should be a value as follows: 0: WAN; 1: WAN/LAN.")


  public Integer getPortType() {
    return portType;
  }

  public void setPortType(Integer portType) {
    this.portType = portType;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InternetBasicInfo internetBasicInfo = (InternetBasicInfo) o;
    return Objects.equals(this.portId, internetBasicInfo.portId) &&
        Objects.equals(this.portName, internetBasicInfo.portName) &&
        Objects.equals(this.portMode, internetBasicInfo.portMode) &&
        Objects.equals(this.portType, internetBasicInfo.portType);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portId, portName, portMode, portType);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InternetBasicInfo {\n");
    
    sb.append("    portId: ").append(toIndentedString(portId)).append("\n");
    sb.append("    portName: ").append(toIndentedString(portName)).append("\n");
    sb.append("    portMode: ").append(toIndentedString(portMode)).append("\n");
    sb.append("    portType: ").append(toIndentedString(portType)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

